@import "~@/assets/sass/theme.sass"

.navbar
  position: sticky
  top: 0
  left: 0
  display: flex
  flex-direction: column
  align-self: flex-start
  &-header
    display: flex
    flex-direction: column
    border-bottom: 1px solid rgba(0, 102, 255, 0.5)
    padding-bottom: 12px
    margin-bottom: 100px
    @media (max-width: $mobile-bp)
      padding-bottom: 10px
      margin-bottom: 40px
      align-self: flex-start
      padding-right: 16px
    &__title
      font-weight: 500
      font-size: 24px
      line-height: 28px
      color: #024DBD
      margin-bottom: 4px
      @media (max-width: $mobile-bp)
        font-size: 20px
        line-height: 23px
    &__text
      font-weight: 300
      font-size: 18px
      line-height: 27px
      color: #464646
      @media (max-width: $mobile-bp)
        font-size: 16px
        line-height: 24px
  &-main
    display: flex
    flex-direction: column
    @media (max-width: $mobile-bp)
      display: none
    &__item
      padding: 12px 0 12px 32px
      font-weight: normal
      font-size: 20px
      line-height: 23px
      color: #464646
      border-left: 1px solid #0066FF
      position: relative
      &.active
        color: #024DBD
        font-weight: 500
        &::before
          content: ''
          position: absolute
          left: 0
          top: 0
          bottom: 0
          width: 5px
          background-color: #0099FF